Skip to main content
GET
/
organizations
/
permission-groups
/
{group_id}
/
assignments
List assignments for a permission group
curl --request GET \
  --url https://api.ilyama.golain.io/core/api/v1/organizations/permission-groups/{group_id}/assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'ORG-ID: <org-id>'
{
  "data": {
    "has_more": true,
    "items": [
      {
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "effective": true,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "permission_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subject_id": "<string>"
      }
    ],
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ORG-ID
string<uuid>
required

Path Parameters

group_id
string<uuid>
required

Query Parameters

limit
integer
Required range: 1 <= x <= 200
cursor
string

Response

Permission group assignments loaded

data
object
required
ok
enum<integer>
required
Available options:
1